# Manage anonymous data collection

Akamas might collect anonymized usage information on running optimizations. Collection and tracking are disabled by default and can be manually enabled.

## Docker installation

External tracking is managed through the following environment variables:

* **AKAMAS\_TRACKER\_URL**: the target URL for all tracking info.
* **AKAMAS\_TRACKING\_OPT\_OUT**: when set to 1, disables anonymous data collection.

Tracking for a running instance can be enabled by editing the `AKAMAS_TRACKING_OPT_OUT` variable in the `docker-compose.yaml` file.

To enable tracking set the variable to the following value:

```bash
AKAMAS_TRACKING_OPT_OUT=0
```

Then issue the command:

```bash
docker compose up -d
```

## Kubernetes installation

External tracking is managed through the field `trackingOptOut` in the `Values` file. To enable tracking set `trackingOptOut` to `0` as in the following example and upgrade the installation:

```yaml
awsAccessKeyId: "YOUR_ACCESSKEY_ID"
awsSecretAccessKey: "YOUR_SECRET_ACCESS_KEY"

trackingOptOut: 0
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.akamas.io/akamas-docs/3.3.0/installing-akamas/manage-anonymous-data-collection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
